
# Common rules for Makefiles. Include this in your Makefile
# Released to the public domain. structio-devel@lists.sourceforge.net

# Variables required:

# PROYECTO short name of project
# PRY_VERSION version
# GENDIST Rules to fire before generating distribution (e.g Derechos.txt)
# ACTHOST Internet site (for ssh) to update in new releases.
# GENACT Rules to fire before updating Internet site (e.g index.html)
# FILESACT Files to update to Internet site SITEACT


# Rules required in the main Makefile
# make distclean 	To clean and leave only files that should go in a 
#	distribution of sources
#


dist: $(PROYECTO)-$(PRY_VERSION).tgz

$(PROYECTO)-$(PRY_VERSION).tgz: $(GENDIST)
	rm -f $(PROYECTO)-$(PRY_VERSION).tgz
	rm -rf $(PROYECTO)-$(PRY_VERSION)
	a=`echo *`; \
	mkdir -p $(PROYECTO)-$(PRY_VERSION); \
	cp -rf $$a $(PROYECTO)-$(PRY_VERSION)
	cd $(PROYECTO)-$(PRY_VERSION); make distclean
	find $(PROYECTO)-$(PRY_VERSION) -name "CVS" | xargs rm -rf
	tar cvfz $(PROYECTO)-$(PRY_VERSION).tgz $(PROYECTO)-$(PRY_VERSION)
	rm -rf $(PROYECTO)-$(PRY_VERSION)

act: $(GENACT)
	scp $(FILESACT) $(USER)@$(ACTHOST)

